/**
 * @hidden
 */
export class Controller {
    /**
     * @param {angular.IScope} $scope Scope.
     * @param {JQuery} $element Element.
     */
    constructor($scope: angular.IScope, $element: JQuery);
    /**
     * @private
     * @type {JQuery}
     */
    private $element_;
    /**
     * @private
     * @type {angular.IScope}
     */
    private $scope_;
    /**
     * @private
     * @type {?JQuery}
     */
    private modal_;
    /**
     * @type {string}
     */
    draggableHandle: string;
    /**
     * @type {boolean}
     */
    closable: boolean;
    /**
     * @type {boolean}
     */
    resizable: boolean;
    /**
     * @type {?angular.INgModelController}
     */
    ngModel: angular.INgModelController | null;
    $onInit(): void;
    $postLink(): void;
    $onDestroy(): void;
}
export namespace Controller {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
